export declare class TextAccessibilityManager {
    private enabled;
    private textChildren?;
    private textNodes;
    private waitingElements;
    setTextMapping(textDivs: Element[]): void;
    enable(): void;
    disable(): void;
    removePointerInTextLayer(element: Element): void;
    addPointerInTextLayer(element: Element, isRemovable: boolean): string | null;
    moveElementInDOM(container: Element, element: Element, contentElement: Element, isRemovable: boolean): string | null;
}
